Package org.apache.synapse.commons.staxon.core.json.stream.impl

## Class Constants

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.json.stream.impl.Constants

-     public final class Constants
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Constants.SCANNER` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ARRAY` | The JSON Key for wrapper type anonymous JSON array
    `static String` | `ARRAY_ELEM` | The JSON Key for wrapper type anonymous JSON array elements
    `static int` | `C_DOLLOR` |
    `static int` | `C_USOCRE` |
    `static String` | `EMPTY` |
    `static String` | `EMPTY_VALUE` |
    `static String` | `ID` |
    `static String` | `OBJECT` | The JSON Key for wrapper type JSON Object
    `static String` | `PRECEDING_DIGIT` | Final prefix for local names that have preceding digits
    `static String` | `PRECEDING_DIGIT_S` | Used when the local name starts with a digit character.
    `static String` | `PRECEDING_DOLLOR` |
    `static String` | `PRECEDING_DOLLOR_S` | Used when the local name starts with the $ character.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OBJECT

          public static final String OBJECT

      The JSON Key for wrapper type JSON Object
      See Also:
        Constant Field Values

    - #### ARRAY

          public static final String ARRAY

      The JSON Key for wrapper type anonymous JSON array
      See Also:
        Constant Field Values

    - #### ARRAY_ELEM

          public static final String ARRAY_ELEM

      The JSON Key for wrapper type anonymous JSON array elements
      See Also:
        Constant Field Values

    - #### EMPTY

          public static final String EMPTY

      See Also:
        Constant Field Values

    - #### EMPTY_VALUE

          public static final String EMPTY_VALUE

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### PRECEDING_DIGIT_S

          public static final String PRECEDING_DIGIT_S

      Used when the local name starts with a digit character.
      See Also:
        Constant Field Values

    - #### PRECEDING_DIGIT

          public static final String PRECEDING_DIGIT

      Final prefix for local names that have preceding digits
      See Also:
        Constant Field Values

    - #### PRECEDING_DOLLOR_S

          public static final String PRECEDING_DOLLOR_S

      Used when the local name starts with the $ character.
      See Also:
        Constant Field Values

    - #### PRECEDING_DOLLOR

          public static final String PRECEDING_DOLLOR

      See Also:
        Constant Field Values

    - #### C_DOLLOR

          public static final int C_DOLLOR

      See Also:
        Constant Field Values

    - #### C_USOCRE

          public static final int C_USOCRE

      See Also:
        Constant Field Values